﻿@model ALK.Models.Product

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Product</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            
        </dt>

        <dd>
            <img height="100" src="@Url.Action("Content", "My", new { id = Model.ProductImages.FirstOrDefault()?.DataFile.Id })" />
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Available)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Available)
        </dd>

        <dt>
            Product Name
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ProductName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Price)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Price)
        </dd>

        <dt>
            Amount
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PCount)
        </dd>
        <dt>
            Category
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Category.Title)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to Products", "Index")
        </div>
    }
</div>
